Download it now!
Bug 82128 - FILESAVE: "Select Protected/Unprotected Cells" status is lost
Summary: FILESAVE: "Select Protected/Unprotected Cells" status is lost
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: Other All
: high normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.4.0 target:4.3.2
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2014-08-04 12:00 UTC by Matteo Becattini
Modified: 2015-12-17 10:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matteo Becattini 2014-08-04 12:00:55 UTC
Problem description: The 2 options "Select protected/unprotected cells" are inverted.
Operating System: Windows 7
Version: 4.3.0.4 release
Last worked in: 4.2.5.2 release
Comment 1 ign_christian 2014-08-05 10:18:58 UTC
> Problem description: The 2 options "Select protected/unprotected cells" are
> inverted.
In my observation it's not inverted, but it's lost after filesave.

Steps to test:
1. Right-click cell A1 > Format Cells 
2. Tab Cell Protection > untick "Protected" > OK
3. Tools > Protect Document > Sheet > untick "Select Protected Cells" > OK
4. Verify that we can't select all cells except cell A1
5. Save as TEST.ODS
6. Close then reopen TEST.ODS
7. Verify that we can select all cells

Tested with LO 4.3.0.4 - Ubuntu 12.04 x86

That's not happen with LO 4.2.6.2

@Matteo, could you confirm is that behavior you meant?
Comment 2 MM 2014-08-05 20:38:05 UTC
(In reply to comment #1)

> In my observation it's not inverted, but it's lost after filesave.

I agree. In content.xml, table: is missing twice. 

LO 4.2.6.2: <table:table-protection table:select-unprotected-cells="true"/>
LO 4.3.0.4: <table-protection select-unprotected-cells="true"/>

> @Matteo, could you confirm is that behavior you meant?

If this is the same bug, set to NEW.
Comment 3 Matteo Becattini 2014-08-06 06:27:42 UTC
Yes, I can confirm that this is the same behavior that I found.

(In reply to comment #1)
> > Problem description: The 2 options "Select protected/unprotected cells" are
> > inverted.
> In my observation it's not inverted, but it's lost after filesave.
> 
> Steps to test:
> 1. Right-click cell A1 > Format Cells 
> 2. Tab Cell Protection > untick "Protected" > OK
> 3. Tools > Protect Document > Sheet > untick "Select Protected Cells" > OK
> 4. Verify that we can't select all cells except cell A1
> 5. Save as TEST.ODS
> 6. Close then reopen TEST.ODS
> 7. Verify that we can select all cells
> 
> Tested with LO 4.3.0.4 - Ubuntu 12.04 x86
> 
> That's not happen with LO 4.2.6.2
> 
> @Matteo, could you confirm is that behavior you meant?
Comment 4 Matteo Becattini 2014-08-06 06:30:42 UTC
Yes, I can confirm that this is the problem.

Da: bugzilla-daemon@freedesktop.org
A: jojo@jojoxserie.net
Cc: 
Data: Tue, 05 Aug 2014 20:38:05 +0000
Oggetto: [Bug 82128] EDITING: Protected/Unprotected cells



> 

    
      
    
    
      > 
        > 
            Comment # 2
              on bug 82128
              from MM

        > (In reply to comment #1)

> In my observation it's not inverted, but it's lost after filesave.

I agree. In content.xml, table: is missing twice. 

LO 4.2.6.2: <table:table-protection table:select-unprotected-cells="true"/>
LO 4.3.0.4: <table-protection select-unprotected-cells="true"/>

> @Matteo, could you confirm is that behavior you meant?

If this is the same bug, set to NEW.
        
      
      
      You are receiving this mail because:
      
      
          You reported the bug.
Comment 5 ign_christian 2014-08-06 07:46:14 UTC
Okay thanks your confirmation Matteo.

Also reproduced in LO 4.3.0.0.beta1 and only affects ODS. Not happen with XLS, XLSX.

@Matteo, please don't reply directly from your email.
Comment 6 MM 2014-08-06 22:35:34 UTC
(In reply to comment #5)

> Also reproduced in LO 4.3.0.0.beta1 and only affects ODS. Not happen with
> XLS, XLSX.


It also affects fods, uos and microsoft excel xml.
Comment 7 Matteo Becattini 2014-08-07 09:16:28 UTC
(In reply to comment #5)
> @Matteo, please don't reply directly from your email.

Ok, sorry, my fault.
Comment 8 Markus Mohrhard 2014-08-14 09:01:27 UTC
Sorry looks like a nasty mistake by me.
Comment 9 Commit Notification 2014-08-15 22:24:43 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2cc0109c0a1a8ff9a6bdb1cd5fc38f0c3520585a

use correct namespace for table protection elements, fdo#82128



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2014-08-15 22:24:57 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0e633c51d8ed0c0d4050a3d0781c5bc036607616

add test for fdo#82128



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Markus Mohrhard 2014-08-16 01:28:53 UTC
review request for 4-3 at https://gerrit.libreoffice.org/#/c/10943/
Comment 12 Commit Notification 2014-08-17 21:18:01 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bc348d6fef453c268093092e29bf671208c06b48&h=libreoffice-4-3

use correct namespace for table protection elements, fdo#82128


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Robinson Tryon (qubit) 2015-12-17 10:40:46 UTC
Migrating Whiteboard tags to Keywords: (BibisectRequest)
[NinjaEdit]